/*
    (C) 1995-2001 AROS - The Amiga Research OS
    $Id: unlockrecords.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: English
*/
#include "dos_intern.h"
#include <proto/exec.h>

/*****************************************************************************

    NAME */
#include <dos/record.h>
#include <proto/dos.h>

	AROS_LH1(LONG, UnLockRecords,

/*  SYNOPSIS */
	AROS_LHA(struct RecordLock *, recArray, D1),

/*  LOCATION */
	struct DosLibrary *, DOSBase, 48, Dos)

/*  FUNCTION

    Release an array of record locks obtained with LockRecords().
    
    INPUTS

    recArray  --  array of record locks (previously locked with LockRecords())

    RESULT

    NOTES

    A array of records may not be modified when records are locked.

    EXAMPLE

    BUGS

    SEE ALSO

    LockRecords()

    INTERNALS

    HISTORY

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)
    LONG ret = -1;

    FAILFORTASKNP(return DOSFALSE;)

    for ( ; recArray->rec_FH; recArray++)
    {
	ret &= UnLockRecord(recArray->rec_FH, recArray->rec_Offset,
	                    recArray->rec_Length);
    }

    return ret ? DOSTRUE : DOSFALSE;

    AROS_LIBFUNC_EXIT
} /* UnLockRecords */
